﻿(
try(
	local render_menu_names = #(
		"&Rendering",
		"渲染(&R)"
	)
	local mainMenuRendering = undefined
	local render_menu_count
	for i = 1 to render_menu_names.count do (/*寻找菜单*/
		mainMenuRendering = menuMan.findMenu render_menu_names[i]
		if mainMenuRendering != undefined then (
			exit
		)
	)
	
	/*2012下必须二次查找*/
	if mainMenuRendering == undefined then (
		local mainMenuBar = menuMan.getMainMenuBar()
		local renderMenuItem = undefined
		if ((maxVersion())[1] > 11000) then (
			renderMenuItem = mainMenuBar.getItem(9)
		) else (
			renderMenuItem = mainMenuBar.getItem(10)
		)
		mainMenuRendering = renderMenuItem.getSubMenu()
	)
	
	try(
		local render_menu_count = mainMenuRendering.numItems()
		for i = 1 to render_menu_count do (
			local item = mainMenuRendering.getItem i
			if item.getTitle() =="神马渲染..." or item.getTitle()=="äÖµÃ¿ì..." or item.getTitle() =="渲得快..." then (
				mainMenuRendering.removeItem item
			)
		)
	)
	catch(
		print "delete bug"
	)
	
	menuMan.updateMenuBar()
	try(
		render_menu_count = mainMenuRendering.numItems()
		local Itemline = mainMenuRendering.getItem render_menu_count
		if Itemline.getIsSeparator() then (
			mainMenuRendering.removeItem Itemline
		)
	)
	catch(
		print "bug2"
	)
)
catch (
	MessageBox "error"
	menuMan.updateMenuBar()
)
 if ((menuMan.findMenu "渲得快") != undefined) then 
	 (
		  menuMan.unRegisterMenu (menuMan.findMenu "渲得快")
		  menuMan.updateMenuBar()
	 )
	 
	 mainMenuBar = menuMan.getMainMenuBar()
	 subMenu = menuMan.createMenu "渲得快"
	 macroscript smartmenu1  category:"smartmenu" buttontext:"提交场景" (try (FileIn (getFiles "$scripts\\GodHorse.ms")[1]) catch())
	 macroscript smartmenu2  category:"smartmenu" buttontext:"关于渲得快" (try (messagebox "渲得快为您提供史上最低价格的渲染服务\n\n[渲得快 版权所有]" title:"渲得快") catch())

	testItem = menuMan.createActionItem ("smartmenu" + "1") "smartmenu"
	subMenu.addItem testItem -1 
	testItem1 = menuMan.createActionItem ("smartmenu" + "2") "smartmenu"
	subMenu.addItem testItem1 -2 

	 subMenuItem = menuMan.createSubMenuItem "gh Menu" subMenu
	 subMenuIndex = mainMenuBar.numItems() - 3
	 mainMenuBar.addItem subMenuItem subMenuIndex
	 menuMan.updateMenuBar() 
)